# Method Crypto.ECC.Curve()->ECDSA()->jose_sign()

Method jose_sign

  ``string(7bit)` jose_sign(`string(8bit)` `message`, `.Hash`|`void` `h`, `mapping`(`string(7bit)`:`string(7bit)`|`int`)|`void` `headers`)`

Description

  Signs the `message` with a JOSE JWS ECDSA signature using hash algorithm `h`.

Parameter `message`

  Message to sign.

Parameter `h`

  Hash algorithm to use.

Returns

  Returns the signature on success, and `0` (zero) on failure.

See also

  pkcs_verify(), `salt_size()`, RFC 7515